# rdl_compute.py

from rpy import *

r.source("rdl_compute_py.r")

# Change the following line to point to your current working directory
working_directory = "C:\\Users\\UserName\\Documents\\QED"
r.set_seed(0)

# Specify positive and negative compound sets as CSV files: used to train RDL
pos_set_filename = "Drugs.csv"
neg_set_filename = "ChEMBL09_QED.csv"

# CSV file containing compounds for which we wish to compute the RDL
input_filename = "DrugBankQED.csv"           

# CSV file to which to output computed RDLs
output_filename = "rdls.csv"

# Properties to use
prop_names = r.c("MW","ALOGP","HBA","HBD","PSA","ROTB","AROM","ALERTS")

# Whether to only use a sample of the negative set to train RDL, and if so, how big the sample should be
use_neg_sample = r.TRUE
neg_sample_size = 1000

r.rdlcompute(working_directory, pos_set_filename, neg_set_filename, input_filename, output_filename, prop_names, 
             use_neg_sample, neg_sample_size)







